Epc planner shared
curl --request GET \
--url https://api.sortx.co.uk/p/:tenant/epc-planner/{token}const options = {method: 'GET'};
fetch('https://api.sortx.co.uk/p/:tenant/epc-planner/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/epc-planner/{token}"
response = requests.get(url)
print(response.text){
"agency": {
"name": "<string>",
"phone": "<string>"
},
"landlordName": "<string>",
"note": "<string>",
"expiresAt": "<string>",
"timeZone": "<string>",
"today": "<string>",
"dataAsOf": "<string>",
"policyVersion": "<string>",
"items": [
{
"propertyId": "<string>",
"address": "<string>",
"postcode": "<string>",
"standing": "below_c",
"rating": "A",
"bandsToC": 123,
"certificate": {
"documentId": "<string>",
"issuedOn": "<string>",
"expiresOn": "<string>",
"reference": "<string>"
},
"expiredOn": "<string>",
"measures": [
{
"measure": "<string>",
"costLowMinor": 123,
"costHighMinor": 123,
"ratingAfter": "A",
"scoreAfter": 123
}
],
"measuresSource": "read",
"potentialRating": "A",
"toC": {
"steps": 123,
"costLowMinor": 123,
"costHighMinor": 123,
"basis": "steps"
},
"dates": [
{
"on": "<string>",
"kind": "epc_expires",
"label": "<string>"
}
]
}
],
"summary": {
"properties": 123,
"belowC": 123,
"cOrAbove": 123,
"noRating": 123,
"noEpc": 123,
"indicativeToC": {
"costLowMinor": 123,
"costHighMinor": 123,
"properties": 123
}
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro-public
Epc planner shared
A landlord’s EPC planner, read only, by signed link
GET
/
p
/
:tenant
/
epc-planner
/
{token}
Epc planner shared
curl --request GET \
--url https://api.sortx.co.uk/p/:tenant/epc-planner/{token}const options = {method: 'GET'};
fetch('https://api.sortx.co.uk/p/:tenant/epc-planner/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/epc-planner/{token}"
response = requests.get(url)
print(response.text){
"agency": {
"name": "<string>",
"phone": "<string>"
},
"landlordName": "<string>",
"note": "<string>",
"expiresAt": "<string>",
"timeZone": "<string>",
"today": "<string>",
"dataAsOf": "<string>",
"policyVersion": "<string>",
"items": [
{
"propertyId": "<string>",
"address": "<string>",
"postcode": "<string>",
"standing": "below_c",
"rating": "A",
"bandsToC": 123,
"certificate": {
"documentId": "<string>",
"issuedOn": "<string>",
"expiresOn": "<string>",
"reference": "<string>"
},
"expiredOn": "<string>",
"measures": [
{
"measure": "<string>",
"costLowMinor": 123,
"costHighMinor": 123,
"ratingAfter": "A",
"scoreAfter": 123
}
],
"measuresSource": "read",
"potentialRating": "A",
"toC": {
"steps": 123,
"costLowMinor": 123,
"costHighMinor": 123,
"basis": "steps"
},
"dates": [
{
"on": "<string>",
"kind": "epc_expires",
"label": "<string>"
}
]
}
],
"summary": {
"properties": 123,
"belowC": 123,
"cOrAbove": 123,
"noRating": 123,
"noEpc": 123,
"indicativeToC": {
"costLowMinor": 123,
"costHighMinor": 123,
"properties": 123
}
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Path Parameters
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes